# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.95"
name = "llmenv-util"
version = "2.0.4"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Shared utilities for llmenv"
readme = false
license = "MIT OR Apache-2.0"
repository = "https://github.com/phaedrus1992/llmenv"
resolver = "2"

[lib]
name = "llmenv_util"
path = "src/lib.rs"

[dependencies.serde_json]
version = "1.0.150"

[dependencies.serde_yaml]
version = "0.10"
package = "serde_yaml_ng"

[dev-dependencies.proptest]
version = "1.11.0"

[lints.clippy]
expect_used = "deny"
panic = "deny"
unwrap_used = "deny"

[lints.rust]
unsafe_code = "forbid"
